public abstract class Forma
{
	public float abstract Area();
}

class Rettangolo extends Forma
{
	int base, altezza;
	Rettangolo() {}
	public float Area()
	{
		return base*altezza;
	}
	public void stampaRettangolo()
	{
	}
}
class Triangolo extends Forma
{
	int base, altezza;
	Triangolo(int base, int altezza) 
	{
		this.base = base;
		this.altezza = altezza;
	}
	public float Area()
	{
		return base*altezza/2;
	}
	public void stampaTriangolo() {}
}

public class prova22
{
	public static void main(String[] a)
	{
		Forma[] forme = new Forma[100];
		forme[0] = new Rettangolo(10,23);
		forme[1] = new Triangolo(23,34);
		for (int i = 0; i < 100; i++)
		{
			Forma tempForma = forme[i];
			if (tempForma instanceof Rettangolo)
				System.out.println( ((Rettangolo)tempForma).stampaRettangolo() );
			else if (tempForma instanceof Triangolo)
				System.out.println( ((Triangolo)tempForma).stampaTriangolo() );
		}
	}
}
